Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util
Class BrowserControl

    java.lang.Object
      scone.util.BrowserControl

    public class BrowserControl

extends java.lang.Object

A simple, static class to display a URL in the system browser. Under Unix, the system browser is hard-coded to be 'netscape'. Netscape must be in your PATH for this to work. This has been tested with the following platforms: AIX, HP-UX and Solaris. Under Windows, this will bring up the default browser under windows, usually either Netscape or Microsoft IE. The default browser is determined by the OS. This has been tested under Windows 95/98/NT/2000/XP. Examples: BrowserControl.displayURL("http://www.javaworld.com") BrowserControl.displayURL("file://c:\\docs\\index.html") BrowserContorl.displayURL("file:///user/joe/index.html"); Note - you must include the url type -- either "http://" or "file://".

Constructor Summary
`BrowserControl()`

Method Summary
`static void` | `ClearIECache()` Clear the cache of the Windows Internet Explorer
`static void` | `ClearIEHistory()` Clear the history of the Windows Internet Explorer
`static void` | `displayMailer(java.lang.String address)` Brings up the default mailer with the given address in the "to:" field.
`static void` | `displayURL(java.lang.String url)` Display a file in the system browser.
`static boolean` | `isMacOS()` Try to determine whether this application is running under MacOS or some other platform by examing the "os.name" property.
`static boolean` | `isWindows()` Try to determine whether this application is running under Windows or some other platform by examing the "os.name" property.
`static void` | `StartIE(java.lang.String url)` Start the Windows Internet Explorer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowserControl

    public BrowserControl()

Method Detail

### displayURL

    public static void displayURL(java.lang.String url)
                           throws java.io.IOException

  Display a file in the system browser. If you want to display a file, you must include the absolute path name.

  Parameters:
    `url` - the file's url (the url must start with either "http://" or "file://").
  Throws:
    `java.io.IOException`

### ClearIEHistory

    public static void ClearIEHistory()
                               throws java.io.IOException

  Clear the history of the Windows Internet Explorer

  Throws:
    `java.io.IOException`

### ClearIECache

    public static void ClearIECache()
                             throws java.io.IOException

  Clear the cache of the Windows Internet Explorer

  Throws:
    `java.io.IOException`

### StartIE

    public static void StartIE(java.lang.String url)
                        throws java.io.IOException

  Start the Windows Internet Explorer

  Throws:
    `java.io.IOException`

### displayMailer

    public static void displayMailer(java.lang.String address)
                              throws java.io.IOException

  Brings up the default mailer with the given address in the "to:" field.

  Throws:
    `java.io.IOException`

### isWindows

    public static boolean isWindows()

  Try to determine whether this application is running under Windows or some other platform by examing the "os.name" property.

  Returns:
    true if this application is running under a Windows OS

### isMacOS

    public static boolean isMacOS()

  Try to determine whether this application is running under MacOS or some other platform by examing the "os.name" property.

  Returns:
    true if this application is running under a MacOS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD